NX Open C++ Reference Guide
|
Represents a CAE::SpiderElementBuilder
To create a new instance of this class, use CAE::NodeElementManager::CreateSpiderElementBuilder
Created in NX5.0.1.
More...
Public Types | |
enum | NewMeshType { NewMeshTypeCreate, NewMeshTypeExisting } |
Option to create new mesh or add to existing mesh. More... | |
Public Member Functions | |
NXString | CollectorName () |
Returns the mesh collector name Created in NX5.0.1. | |
NXOpen::CAE::SelectFENode * | CoreNode () |
Returns a core node Created in NX5.0.1. | |
int | Label () |
Returns the label Created in NX5.0.1. | |
NXOpen::CAE::SelectFENodeList * | LegNodes () |
Returns the leg nodes Created in NX5.0.1. | |
NXString | MeshName () |
Returns the mesh name Created in NX5.0.1. | |
NXString | NeutralName () |
Returns the element neutral name Created in NX5.0.1. | |
NXOpen::CAE::SpiderElementBuilder::NewMeshType | NewMeshOption () |
Returns the new mesh option Created in NX5.0.1. | |
void | SetCollectorName (const NXString &collectorName) |
Sets the mesh collector name Created in NX5.0.1. | |
void | SetCollectorName (const char *collectorName) |
Sets the mesh collector name Created in NX5.0.1. | |
void | SetLabel (int label) |
Sets the label Created in NX5.0.1. | |
void | SetMeshName (const NXString &meshName) |
Sets the mesh name Created in NX5.0.1. | |
void | SetMeshName (const char *meshName) |
Sets the mesh name Created in NX5.0.1. | |
void | SetNeutralName (const NXString &neutralName) |
Sets the element neutral name Created in NX5.0.1. | |
void | SetNeutralName (const char *neutralName) |
Sets the element neutral name Created in NX5.0.1. | |
void | SetNewMeshOption (NXOpen::CAE::SpiderElementBuilder::NewMeshType newMeshOption) |
Sets the new mesh option Created in NX5.0.1. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a CAE::SpiderElementBuilder
To create a new instance of this class, use CAE::NodeElementManager::CreateSpiderElementBuilder
Created in NX5.0.1.
NXString NXOpen::CAE::SpiderElementBuilder::CollectorName | ( | ) |
Returns the mesh collector name
Created in NX5.0.1.
License requirements : None
NXOpen::CAE::SelectFENode* NXOpen::CAE::SpiderElementBuilder::CoreNode | ( | ) |
Returns a core node
Created in NX5.0.1.
License requirements : None
int NXOpen::CAE::SpiderElementBuilder::Label | ( | ) |
Returns the label
Created in NX5.0.1.
License requirements : None
NXOpen::CAE::SelectFENodeList* NXOpen::CAE::SpiderElementBuilder::LegNodes | ( | ) |
Returns the leg nodes
Created in NX5.0.1.
License requirements : None
NXString NXOpen::CAE::SpiderElementBuilder::MeshName | ( | ) |
Returns the mesh name
Created in NX5.0.1.
License requirements : None
NXString NXOpen::CAE::SpiderElementBuilder::NeutralName | ( | ) |
Returns the element neutral name
Created in NX5.0.1.
License requirements : None
NXOpen::CAE::SpiderElementBuilder::NewMeshType NXOpen::CAE::SpiderElementBuilder::NewMeshOption | ( | ) |
Returns the new mesh option
Created in NX5.0.1.
License requirements : None
void NXOpen::CAE::SpiderElementBuilder::SetCollectorName | ( | const NXString & | collectorName | ) |
Sets the mesh collector name
Created in NX5.0.1.
License requirements : nx_masterfem ("Finite Element Modeling")
collectorName | collectorname |
void NXOpen::CAE::SpiderElementBuilder::SetCollectorName | ( | const char * | collectorName | ) |
Sets the mesh collector name
Created in NX5.0.1.
License requirements : nx_masterfem ("Finite Element Modeling")
collectorName | collectorname |
void NXOpen::CAE::SpiderElementBuilder::SetLabel | ( | int | label | ) |
Sets the label
Created in NX5.0.1.
License requirements : nx_masterfem ("Finite Element Modeling")
label | label |
void NXOpen::CAE::SpiderElementBuilder::SetMeshName | ( | const NXString & | meshName | ) |
Sets the mesh name
Created in NX5.0.1.
License requirements : nx_masterfem ("Finite Element Modeling")
meshName | meshname |
void NXOpen::CAE::SpiderElementBuilder::SetMeshName | ( | const char * | meshName | ) |
Sets the mesh name
Created in NX5.0.1.
License requirements : nx_masterfem ("Finite Element Modeling")
meshName | meshname |
void NXOpen::CAE::SpiderElementBuilder::SetNeutralName | ( | const NXString & | neutralName | ) |
Sets the element neutral name
Created in NX5.0.1.
License requirements : nx_masterfem ("Finite Element Modeling")
neutralName | neutralname |
void NXOpen::CAE::SpiderElementBuilder::SetNeutralName | ( | const char * | neutralName | ) |
Sets the element neutral name
Created in NX5.0.1.
License requirements : nx_masterfem ("Finite Element Modeling")
neutralName | neutralname |
void NXOpen::CAE::SpiderElementBuilder::SetNewMeshOption | ( | NXOpen::CAE::SpiderElementBuilder::NewMeshType | newMeshOption | ) |
Sets the new mesh option
Created in NX5.0.1.
License requirements : nx_masterfem ("Finite Element Modeling")
newMeshOption | newmeshoption |